# Class F84DistanceMatrix

java.lang.Object
jebl.evolution.distances.BasicDistanceMatrix
jebl.evolution.distances.F84DistanceMatrix

All Implemented Interfaces:
  `DistanceMatrix`

public class F84DistanceMatrix extends BasicDistanceMatrix

Version:
  $Id: F84DistanceMatrix.java 1036 2009-11-17 03:45:48Z matt_kearse $ See the detailed comment in `HKYDistanceMatrix` on the model and the formula used for estimating the distance.
Author:
  Joseph Heled

## Constructor Summary

Constructors
Constructor
Description
`F84DistanceMatrix(Alignment alignment)`
`F84DistanceMatrix(Alignment alignment, ProgressListener progress)`

## Method Summary

### Methods inherited from class BasicDistanceMatrix

`getDistance, getDistance, getDistances, getSize, getSubmatrix, getTaxa`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### F84DistanceMatrix

public F84DistanceMatrix(Alignment alignment, ProgressListener progress)

### F84DistanceMatrix

public F84DistanceMatrix(Alignment alignment)